Doomsday Engine - Feature #1381

Ltc_plane_move set sector type to 0 if Ipref_none in Ip11/13
2005-04-22 21:06 - danij

Status: Closed Start date:
Priority: Normal % Done:
Assignee: danij

Category:

Target version:

2005-04-22
100%

Description

ltc_plane_move:

If Ipref_none is used in the Ip11 or Ip13 slots of a
line of this class (change sector type on start/finish)
then the type should be set to 0 (removed).

This is for planned Boom compatibility.

Labels: XG

History

#1 - 2005-07-27 18:34 - danij
Logged In: YES
user_id=849456

Found a work around so this is redundant.

#2 - 2005-08-21 19:31 - danij
Logged In: YES
user_id=849456

Not very important as the data component can be specified
using Ip12/14 set to 0 and use Ipref_special to treat as
sector type ID.

However this would simplify things when comparing the bit
filed mask used in the sector type field (range > 8192).
